Skip to main content

Class AuthenticationRequest


Properties

NAMETYPEREQUIREDDESCRIPTION
Resource/token
Request MethodHTTP POST
Response formatJSON
Content Typeapplication/x-www-form-urlencodedYesSpecify this as a "Content-Type" header property
AuthorizationBasic Base64(consumer-key:consumer-secret)YesSpecify this as a "Authorization" header property
Request Bodygrant_type:client_credentialsYesSpecify grant_type as client_credentials

Sample Request

POST /token HTTP/1.1
Host: wag01.eagle.jhapaycenter.com
Authorization: Basic NDl4NG95eDBKa1B.........Yzh5M1ZyZnNlNUVjeklm
Content-Type: application/x-www-form-urlencoded
Content-Length: 29
grant_type: client_credentials

CURL to get generate Access Token

curl -k -X POST https://wag01.eagle.jhapaycenter.com/token -d "grant_type=client_credentials" -H"Authorization: Basic VmZZSEFsblh6Q2hsWmZBZ0EwUTl1VmkzNVR3YTprVHoyUXJfbUVtaVdaZnNKVjlfUFBRZng5cXdh"